- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BlisHeurRound Class Reference

Rounding Heuristic. More...

`#include <BlisHeurRound.h>`

Inheritance diagram for BlisHeurRound:

[legend]
Collaboration diagram for BlisHeurRound:

[legend]
List of all members.

## Public Member Functions
| BlisHeurRound ()
| Default Constructor.
| BlisHeurRound (BlisModel *model, const char *name, int strategy)
| Constructor with model - assumed before cuts.
| ~BlisHeurRound ()
| Destructor.
| BlisHeurRound (const BlisHeurRound &)
| Copy constructor.
virtual BlisHeuristic * | clone () const
| Clone a rounding heuristic.
virtual void | setModel (BlisModel *model)
| update model (This is needed if cliques update matrix etc).
virtual bool | searchSolution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts
void | setSeed (int value)
| Set seed.
| BlisHeurRound ()
| Default Constructor.
| BlisHeurRound (BlisModel *model, const char *name, BlisHeurStrategy strategy, int freq)
| Constructor with model - assumed before cuts.
| ~BlisHeurRound ()
| Destructor.
| BlisHeurRound (const BlisHeurRound &)
| Copy constructor.
virtual BlisHeuristic * | clone () const
| Clone a rounding heuristic.
virtual void | setModel (BlisModel *model)
| update model (This is needed if cliques update matrix etc).
virtual bool | searchSolution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts
void | setSeed (int value)
| Set seed.
## Protected Attributes
CoinPackedMatrix | matrix_
| Column majored matrix.
CoinPackedMatrix | matrixByRow_
| Row majored matrix.
int | seed_
| Seed for random stuff.
## Private Member Functions
BlisHeurRound & | operator= (const BlisHeurRound &rhs)
| Illegal Assignment operator.
BlisHeurRound & | operator= (const BlisHeurRound &rhs)
| Illegal Assignment operator.

## Detailed Description

Rounding Heuristic.

Definition at line 45 of file BlisHeurRound.h.

## Constructor & Destructor Documentation

BlisHeurRound::BlisHeurRound | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 62 of file BlisHeurRound.h.

BlisHeurRound::BlisHeurRound | ( | BlisModel * | model,
|  | const char * | name,
|  | int | strategy |
| ) |  |  | `[inline]`

Constructor with model - assumed before cuts.

Definition at line 65 of file BlisHeurRound.h.

References BlisModel::solver().

BlisHeurRound::~BlisHeurRound | ( |  | ) | `[inline]`

Destructor.

Definition at line 73 of file BlisHeurRound.h.

BlisHeurRound::BlisHeurRound | ( | const BlisHeurRound & |  | ) |

Copy constructor.

BlisHeurRound::BlisHeurRound | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 61 of file BlisHeurRound.h.

BlisHeurRound::BlisHeurRound | ( | BlisModel * | model,
|  | const char * | name,
|  | BlisHeurStrategy | strategy,
|  | int | freq |
| ) |  |  | `[inline]`

Constructor with model - assumed before cuts.

Definition at line 64 of file BlisHeurRound.h.

References BlisModel::solver().

BlisHeurRound::~BlisHeurRound | ( |  | ) | `[inline]`

Destructor.

Definition at line 73 of file BlisHeurRound.h.

BlisHeurRound::BlisHeurRound | ( | const BlisHeurRound & |  | ) |

Copy constructor.

## Member Function Documentation

BlisHeurRound& BlisHeurRound::operator= | ( | const BlisHeurRound & | rhs | ) | `[private]`

Illegal Assignment operator.

virtual BlisHeuristic* BlisHeurRound::clone | ( |  | ) | const`[virtual]`

Clone a rounding heuristic.

Implements BlisHeuristic.

virtual void BlisHeurRound::setModel | ( | BlisModel * | model | ) | `[virtual]`

update model (This is needed if cliques update matrix etc).

Reimplemented from BlisHeuristic.

virtual bool BlisHeurRound::searchSolution | ( | double & | objectiveValue,
|  | double * | newSolution |
| ) |  |  | `[virtual]`

returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts

Implements BlisHeuristic.

void BlisHeurRound::setSeed | ( | int | value | ) | `[inline]`

Set seed.

Definition at line 93 of file BlisHeurRound.h.

References seed_.

BlisHeurRound& BlisHeurRound::operator= | ( | const BlisHeurRound & | rhs | ) | `[private]`

Illegal Assignment operator.

virtual BlisHeuristic* BlisHeurRound::clone | ( |  | ) | const`[virtual]`

Clone a rounding heuristic.

Implements BlisHeuristic.

virtual void BlisHeurRound::setModel | ( | BlisModel * | model | ) | `[virtual]`

update model (This is needed if cliques update matrix etc).

Reimplemented from BlisHeuristic.

virtual bool BlisHeurRound::searchSolution | ( | double & | objectiveValue,
|  | double * | newSolution |
| ) |  |  | `[virtual]`

returns 0 if no solution, 1 if valid solution with better objective value than one passed in Sets solution values if good, sets objective value (only if good) This is called after cuts have been added - so can not add cuts

Implements BlisHeuristic.

void BlisHeurRound::setSeed | ( | int | value | ) | `[inline]`

Set seed.

Definition at line 94 of file BlisHeurRound.h.

References seed_.

## Member Data Documentation

CoinPackedMatrix BlisHeurRound::matrix_`[protected]`

Column majored matrix.

Definition at line 52 of file BlisHeurRound.h.

CoinPackedMatrix BlisHeurRound::matrixByRow_`[protected]`

Row majored matrix.

Definition at line 55 of file BlisHeurRound.h.

int BlisHeurRound::seed_`[protected]`

Seed for random stuff.

Definition at line 58 of file BlisHeurRound.h.

Referenced by setSeed().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/Blis-0.91.2/Bcps/examples/Blis/BlisHeurRound.h
- /home/coin/SVN-release/Blis-0.91.2/Blis/src/BlisHeurRound.h